View Issue Details

This bug affects 1 person(s).
 6
IDProjectCategoryView StatusLast Update
17413Feature requestsRemoteControlpublic2022-07-26 10:35
ReporterJmantysalo Assigned Toollehar  
PrioritynoneSeverityfeature 
Status closedResolutionfixed 
Summary17413: Delete a response with remote api
Description

Add an RPC call to delete a response.

This has been asked several times in the forum. Also, we already have update_response and add_response, so this in kind on unorthogonal design.

TagsNo tags attached.
Bug heat6

Users monitoring this issue

User List chimp358

Activities

Jmantysalo

Jmantysalo

2021-08-19 09:17

reporter   ~66064

Changelog for LimeSurvey 5.1.0 build 210811 starts with

New feature: Add RPC function to delete a response using its ID (#1928) (arnaudbore)

So, has this issue done but has been forgot to close?

chimp358

chimp358

2022-06-22 09:45

reporter   ~70475

@Jmantysalo I think so

Jmantysalo

Jmantysalo

2022-07-20 15:46

reporter   ~71058

Also https://api.limesurvey.org/classes/remotecontrol_handle.html#method_delete_response shows the function. This one can be closed.

Issue History

Date Modified Username Field Change
2021-07-04 00:30 Jmantysalo New Issue
2021-08-19 09:17 Jmantysalo Note Added: 66064
2021-08-19 09:17 Jmantysalo Bug heat 0 => 2
2022-06-21 09:26 chimp358 Issue Monitored: chimp358
2022-06-21 09:26 chimp358 Bug heat 2 => 4
2022-06-22 09:45 chimp358 Note Added: 70475
2022-06-22 09:45 chimp358 Bug heat 4 => 6
2022-07-20 15:46 Jmantysalo Note Added: 71058
2022-07-26 10:35 ollehar Assigned To => ollehar
2022-07-26 10:35 ollehar Status new => closed
2022-07-26 10:35 ollehar Resolution open => fixed